umbrello 2.34.3 Umbrello UML Modeller is a Unified Modelling Language (UML) diagram program based on KDE Technology

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- File List
- File Members

Classes | Macros | Variables
moc_activitypage.cpp File Reference
`#include <memory>`
`#include "../../../../umbrello/dialogs/pages/activitypage.h"`
`#include <QtCore/qbytearray.h>`
`#include <QtCore/qmetatype.h>`

## Classes
struct | qt_meta_stringdata_ActivityPage_t

## Macros
#define | QT_MOC_LITERAL(idx, ofs, len)

## Variables
static const qt_meta_stringdata_ActivityPage_t | qt_meta_stringdata_ActivityPage
static const uint | qt_meta_data_ActivityPage []

## Macro Definition Documentation

## ◆ QT_MOC_LITERAL

#define QT_MOC_LITERAL | ( |  | idx,
|  |  | ofs,
|  |  | len
| ) |  |

Value:
Q_STATIC_BYTE_ARRAY_DATA_HEADER_INITIALIZER_WITH_OFFSET(len, \
qptrdiff(offsetof(qt_meta_stringdata_ActivityPage_t, stringdata0) + ofs \
- idx * sizeof(QByteArrayData)) \
)
qt_meta_stringdata_ActivityPage_t
Definition: moc_activitypage.cpp:24

## Variable Documentation

## ◆ qt_meta_data_ActivityPage

const uint qt_meta_data_ActivityPage[]
| static

## ◆ qt_meta_stringdata_ActivityPage

const qt_meta_stringdata_ActivityPage_t qt_meta_stringdata_ActivityPage
| static

Initial value:
= {
{
QT_MOC_LITERAL(0, 0, 12),
QT_MOC_LITERAL(1, 13, 17),
QT_MOC_LITERAL(2, 31, 0),
QT_MOC_LITERAL(3, 32, 8),
QT_MOC_LITERAL(4, 41, 6),
QT_MOC_LITERAL(5, 48, 11),
QT_MOC_LITERAL(6, 60, 16),
QT_MOC_LITERAL(7, 77, 4),
QT_MOC_LITERAL(8, 82, 17),
QT_MOC_LITERAL(9, 100, 22),
QT_MOC_LITERAL(10, 123, 1),
QT_MOC_LITERAL(11, 125, 14),
QT_MOC_LITERAL(12, 140, 13),
QT_MOC_LITERAL(13, 154, 15),
QT_MOC_LITERAL(14, 170, 17),
QT_MOC_LITERAL(15, 188, 15),
QT_MOC_LITERAL(16, 204, 10),
QT_MOC_LITERAL(17, 215, 10)
},
"ActivityPage\0slotMenuSelection\0\0"
"QAction*\0action\0slotClicked\0"
"QListWidgetItem*\0item\0slotDoubleClicked\0"
"slotRightButtonPressed\0p\0slotTopClicked\0"
"slotUpClicked\0slotDownClicked\0"
"slotBottomClicked\0slotNewActivity\0"
"slotDelete\0slotRename"
}
QT_MOC_LITERAL
#define QT_MOC_LITERAL(idx, ofs, len)
Definition: moc_activitypage.cpp:28